Get current user's role permissions.
curl --request GET \
--url https://api.gleap.io/v3/users/me/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gleap.io/v3/users/me/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gleap.io/v3/users/me/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"permissions": [
"<string>"
],
"roles": [
"<string>"
]
}User
Get current user's role permissions.
Returns the roles and effective permissions of the authenticated user, scoped to the organisationId
query parameter if given, otherwise to the organisation owning the project header, otherwise to the
first organisation the user is a member of. Responds 404 when the organisation, project or role cannot
be resolved.
GET
/
users
/
me
/
permissions
Get current user's role permissions.
